Bug 231702 - Leds state isn't restored after resume from hibernation
Summary: Leds state isn't restored after resume from hibernation
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Dave Jones
QA Contact:
URL:
Whiteboard: bzcl34nup
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-10 10:34 UTC by Marcin Zajaczkowski
Modified: 2015-01-04 22:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 19:20:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcin Zajaczkowski 2007-03-10 10:34:29 UTC
I'm not sure it's problem with acpid or related scripts, but I don't know which
other component I could choose.

Description of problem:
After resuming from hibernation when Capslock or Numlock was turned on, leds
aren't turned on. Those leds flash once just before password promt. The state is 
kept (I see "capslock is on" warning and after unlock kyebord behaves like with
CL or NL functions turned on).
 
Version-Release number of selected component (if applicable):
acpid-1.0.4-5

How reproducible:
Always

Steps to Reproduce:
1. Turn on capslock and/or numlock.
2. Hibernate computer.
3. Resume from hiberantion.
4. Watch leds state.

  
Actual results:
Leds aren't on

Expected results:
Leds should be on

Additional info:
Fujitsu Siemens, Amilo Pro laptop.

Comment 1 Phil Knirsch 2007-05-16 16:05:52 UTC
Verified on another laptop.

Not sure how easy it is to fix though, as from what i've seen so far getting and
setting the LED state isn't always working 100% for all types of laptops.

Investigating.

Read ya, Phil

Comment 2 Zdenek Prikryl 2007-08-15 11:55:43 UTC
Acpid does not take care about restoring led states. This is likely work for
kernel. This bug is reported also at
http://bugzilla.kernel.org/show_bug.cgi?id=8731.

I tested this problem on laptops and on a workstation and I have same problems
as Marcin Zajaczkowski describes. In my case, nml/cpsl leds are not restored
correctly either in X or in a console. Tested on FC6 and F7.

Zdenek Prikryl

Comment 3 Bug Zapper 2008-04-04 06:29:42 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 4 Bug Zapper 2008-05-06 19:20:09 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.